'  Test program for QArrow Ver. 0.01 by Peter Scheutz 1999.09.28
'  Shows the diffent properties of Qarrow.
'  See "Qarrow.bas for the implementation"
'
'  For different *default* colors change "qarrow.bas" else
'  change in code below

$TYPECHECK ON
$INCLUDE "RAPIDQ.INC" 'QArrow uses this' so it' must be before "$INCLUDE "QARROW.BAS""
$INCLUDE "QARROW.BAS"



Dim Arrow1 As QArrow
Dim Arrow2 As QArrow
Dim Arrow3 As QArrow
Dim Arrow4 As QArrow
Dim Arrow5 As QArrow
Dim Form As QForm
Dim Font As QFONT
Dim StateLbl As QLABEL
Dim Checkbox As QCheckBox



  Sub Check
    If Checkbox.Checked Then
         Arrow2.Enabled = True
         Arrow2.Refresh
    Else
        Arrow2.Enabled = False
        Arrow2.Refresh
    End If
  End Sub



Sub ShowArrowState
    Select Case Arrow1.State
        Case asNormal
            StateLbl.Caption = "I am Normal"
        Case asHot
            StateLbl.Caption = "I am Hot"
        Case asDown
            StateLbl.Caption = "I am Down"
    End Select
End Sub

Sub NewArrowOnMouseDown

    Arrow1.InheritOnMouseDown
    ShowArrowState
End Sub

Sub NewArrowOnMouseUp
    Arrow1.InheritOnMouseUp
    ShowArrowState
    showMessage "You Clicked the arrow"
End Sub

Sub NewArrowOnMouseMove
       ShowArrowState
    Arrow1.InheritOnMouseMove

End Sub



Sub FormMouseMove
    ShowArrowState
End Sub

With Arrow1
    .OnMouseDown = NewArrowOnMouseDown
    .OnMouseUp = NewArrowOnMouseUp
    .OnMouseMove = NewArrowOnMouseMove
    .Left = 60
    .Top = 60
    .Orientation = aoPointW
    .Parent = Form
    .Bevel=True
End With

With Arrow2
    .Left = 130
    .Top = 78
    .Width = 15
    .Height = 30
    '.ArrowColorNormal = &HFF0000
    '.ArrowColorHot = &HFFA0A0
    .Orientation = aoPointE
    .Parent = Form
    .ArrowColorDisabled=&H6666
    .Enabled=False
End With

With Arrow3
    .Left = 300
    .Top = 75
    .Width = 30
    .Height = 15
    .Orientation= aoPointS
    .Parent = Form
End With


With Arrow4
    .Left = 250
    .Top = 75
    .Width = 30
    .Height = 15
    .Orientation = aoPointN
    .Parent = Form
End With


With Arrow5
    .Left = 180
    .Top = 25
    .Width = 16
    .Height = 32
    .ArrowColorNormal=&HFF00AA
    .ArrowColorHot=&HFFAAFF
    .ArrowColorDown=&HA000A0
    .Parent = Form
    .Bevel=False
End With




Font.Name = "Arial"
Font.AddStyles (fsBold)
Font.Color = &HF0F0F0
Font.Size = 10

StateLbl.Font = Font
StateLbl.AutoSize = True
StateLbl.Left = 10
StateLbl.Top = 10
StateLbl.Parent = Form

  Checkbox.Left=130
  Checkbox.Top=140
  Checkbox.Parent = Form
  Checkbox.OnClick = Check
  Checkbox.Caption="Enable/Disable above arrow"
  Checkbox.Width=220
  Checkbox.Font=Font

Form.Width = 400
Form.Height = 200
Form.Center
Form.Color = &H6666
Form.OnMouseMove = FormMouseMove

Form.ShowModal
